Skip to main content

Get a public key

This key management operation allows retrieving the public key of an asymmetric key stored inside the device's secure repository.

Allowed usersUser✓Master✗ExtAuth✓
Required access scopekeymgmt:getalternative:keymgmt:genkeymgmt:use:<KID>

where <KID> is a Key ID as a a 32-character hexadecimal string

Get a public key​

GEThttps://my.ence.do/api/keymgmt/get/{kid}

Get a public key from the asymmetric key only.

Path Parameters​

NameTypeDescription
kid*StringKey ID, 32-character hex string

Headers​

NameTypeDescription
Authorization*StringBearer JWT_TOKEN

Response status code​

{
"type": "CURVE25519",
"pubkey": "IYBby9t5R6aiQ13CE0RJ7Z0jIMOIXGLN+U9Tebo3/CU=",
"updated": 1647787070
}

Response data for successful operation​

NameTypeDescription
pubkeyStringBase64 encoded public key
typeStringType of a key
updatedStringLast update timestamp

Log entries​

EventResultSource
LOG_TYPE_FAILED_SCOPE_CHECKLOG_RESULT_FAILED403